org.apache.jmeter.timers

## Enum ConstantThroughputTimer.Mode

- java.lang.Object
- - java.lang.Enum<ConstantThroughputTimer.Mode>
  - - org.apache.jmeter.timers.ConstantThroughputTimer.Mode

- All Implemented Interfaces:
    Serializable, Comparable<ConstantThroughputTimer.Mode>
  Enclosing class:
    ConstantThroughputTimer

      public static enum ConstantThroughputTimer.Mode
      extends Enum<ConstantThroughputTimer.Mode>

  This enum defines the calculation modes used by the ConstantThroughputTimer.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AllActiveThreads`
    `AllActiveThreads_Shared`
    `AllActiveThreadsInCurrentThreadGroup`
    `AllActiveThreadsInCurrentThreadGroup_Shared`
    `ThisThreadOnly`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static ConstantThroughputTimer.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstantThroughputTimer.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ThisThreadOnly

          public static final ConstantThroughputTimer.Mode ThisThreadOnly

    - #### AllActiveThreads

          public static final ConstantThroughputTimer.Mode AllActiveThreads

    - #### AllActiveThreadsInCurrentThreadGroup

          public static final ConstantThroughputTimer.Mode AllActiveThreadsInCurrentThreadGroup

    - #### AllActiveThreads_Shared

          public static final ConstantThroughputTimer.Mode AllActiveThreads_Shared

    - #### AllActiveThreadsInCurrentThreadGroup_Shared

          public static final ConstantThroughputTimer.Mode AllActiveThreadsInCurrentThreadGroup_Shared

  - ### Method Detail

    - #### values

          public static ConstantThroughputTimer.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstantThroughputTimer.Mode c : ConstantThroughputTimer.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstantThroughputTimer.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ConstantThroughputTimer.Mode>`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.